%define name libgnomesu
%define version 1.0.0
%define release  11
%define major 0
%define libname %mklibname gnomesu %major
%define libnamedev %mklibname -d gnomesu

Summary: Library for accessing superuser privileges from GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.gz
Patch0: libgnomesu-0.9.5-pam_stack.patch
Patch1:	libgnomesu-1.0.0-format-strings.patch
Patch2: libgnomesu-1.0.0-deprecated.patch
License: LGPLv2+
Group: System/Libraries
Url: http://members.chello.nl/~h.lai/libgnomesu/
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: pam-devel
BuildRequires: intltool
Provides: gnomesu
Obsoletes: gnomesu

%description
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%package -n %libname
Summary: Library for accessing superuser privileges from GNOME
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%package -n %libnamedev
Summary: Library for accessing superuser privileges from GNOME
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d gnomesu 0

%description -n %libnamedev
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%prep
%setup -q
%apply_patches
intltoolize --force
autoreconf -fi

%build
%configure2_5x --disable-setuid-error
%make

%install
rm -rf %{buildroot} %name-1.0.lang
%makeinstall_std
%find_lang %name-1.0
#gw fix perms for cpio
chmod 755 %{buildroot}%_libexecdir/*

%files -f %name-1.0.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS TODO AUTHORS
%config(noreplace) %_sysconfdir/pam.d/gnomesu-pam
%_bindir/gnomesu
%_datadir/application-registry/gnomesu-nautilus.applications
%_datadir/mime-info/gnomesu-nautilus.keys
%attr(4111,root,root) %_libexecdir/gnomesu-backend
%attr(4111,root,root) %_libexecdir/gnomesu-pam-backend

%files -n %libname
%defattr(-,root,root)
%_libdir/libgnomesu.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%_includedir/libgnomesu-1.0/
%_libdir/pkgconfig/libgnomesu-1.0.pc
%_libdir/lib*.so



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.0.0-11
+ Revision: 4181624
- MassBuild#440: Increase release tag


